Перейти в группу новостей: 
 
Тема Пакет зависит от установленно пакета. но ставить не буду
Написал Marshalko Andrey <chimmag@mail.ru>
Дата 9 ноября 2022 в 15:32:45
Группа новостей kraft.os.linux

Свежепоставленный debian
sudo apt-get install certbot
выдаётся следующее:


Чтение списков пакетов…
Построение дерева зависимостей…
Чтение информации о состоянии…
Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите,
неосуществимо, или же вы используете нестабильную версию дистрибутива, где
запрошенные вами пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости:
python3-cffi-backend : Зависит: python3 (< 3.8) но 3.9.2-3 должен быть
установлен
python3-lib2to3 : Зависит: python3 (< 3.8) но 3.9.2-3 должен быть
установлен
python3-setuptools : Зависит: python3-pkg-resources (= 40.8.0-1) но
52.0.0-4 должен быть установлен
Зависит: python3-distutils но он не будет установлен
python3-zope.hookable : Зависит: python3 (< 3.8) но 3.9.2-3 должен быть
установлен
python3-zope.interface : Зависит: python3 (< 3.8) но 3.9.2-3 должен быть
установлен
Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты

Питон как раз стоит 3.9.2-3. То есть он стоит, но всё равно пакет ставить не
буду, так как его надо поставить. Никаких "сломанных" пакетов и прочего в
системе не находится, система совсем свежепоставленная. В чём "прикол"?

Все сообщения в этой теме
 
#  Пакет зависит от установленно пакета. но ставить не буду Marshalko Andrey 9 ноября 2022 в 15:32:45
#  Re: Пакет зависит от установленно пакета. но ставить не буду Покупатель 9 ноября 2022 в 21:57:08
#  Re: Пакет зависит от установленно пакета. но ставить не буду Marshalko Andrey 10 ноября 2022 в 12:10:52
#  Re: Пакет зависит от установленно пакета. но ставить не буду Покупатель 10 ноября 2022 в 18:16:11
#  Re: Пакет зависит от установленно пакета. но ставить не буду Eldar 9 ноября 2022 в 22:04:54
#  Re: Пакет зависит от установленно пакета. но ставить не буду Marshalko Andrey 10 ноября 2022 в 12:13:03
#  Re: Пакет зависит от установленно пакета. но ставить не буду Dimitri Minaev 10 ноября 2022 в 14:42:03
#  Re: Пакет зависит от установленно пакета. но ставить не буду Marshalko Andrey 10 ноября 2022 в 16:46:20
#  Re: Пакет зависит от установленно пакета. но ставить не буду Dimitri Minaev 11 ноября 2022 в 14:31:24
#  Re: Пакет зависит от установленно пакета. но ставить не буду Marshalko Andrey 11 ноября 2022 в 15:21:32
#  Re: Пакет зависит от установленно пакета. но ставить не буду Покупатель 11 ноября 2022 в 16:49:28
#  Re: Пакет зависит от установленно пакета. но ставить не буду Marshalko Andrey 13 ноября 2022 в 15:43:19
#  Re: Пакет зависит от установленно пакета. но ставить не буду Покупатель 13 ноября 2022 в 19:14:03
#  Re: Пакет зависит от установленно пакета. но ставить не буду Marshalko Andrey 16 ноября 2022 в 13:30:33
#  Re: Пакет зависит от установленно пакета. но ставить не буду Покупатель 17 ноября 2022 в 07:49:37
#  Re: Пакет зависит от установленно пакета. но ставить не буду Dimitri Minaev 17 ноября 2022 в 12:19:36
#  Re: Пакет зависит от установленно пакета. но ставить не буду Покупатель 17 ноября 2022 в 12:37:22
#  Re: Пакет зависит от установленно пакета. но ставить не буду Marshalko Andrey 17 ноября 2022 в 14:20:00
#  Re: Пакет зависит от установленно пакета. но ставить не буду Marshalko Andrey 17 ноября 2022 в 16:21:28



Время выполнения скрипта: 0.0010910034179688 сек.